#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2007, 2008 by Jan Dittberner.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
#
# Version: $Id$
from sqlalchemy import *

meta = BoundMetaData('postgres://jan:heyyou97@localhost:5432/jan')
domains_table = Table('domains', meta, autoload=True)
records_table = Table('records', meta, autoload=True)


class Domain(object):

    def __repr__(self):
        return "%s(%r,%r)" % (
            self.__class__.__name__, self.id, self.name)


class Record(object):

    def __repr__(self):
        return "%s(%r,%r,%r)" % (
            self.__class__.__name__, self.id, self.domain_id, self.domain)

recordmapper = mapper(Record, records_table)
domainmapper = mapper(Domain, domains_table, properties = {
        'records': relation(Record, backref='domain')})

session = create_session()
query = session.query(Domain)

domain = query.get_by(name='dittberner.info')
if domain:
    print domain.records

session.flush()
