#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2007, 2008 by Jan Dittberner.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
#
# Version: $Id$
import getopt
import sys
from gnuviechadmin.dblayer import *


def usage():
    print """Usage information:
=====================
%(process)s -h|--help
- prints this help text

%(process)s --domain=<domain> [--password=<password>]
- adds a new pop user for the given domain
- if the optional password is ommitted a generated one is used
- the password is checked using cracklib
- if the password is too weak a generated one is used
""" % {'process': sys.argv[0]}

if __name__ == "__main__":
    try:
        (options, args) = getopt.getopt(sys.argv[1:], "h",
                                        ['help', 'password=', 'domain='])
    except getopt.GetoptError:
        usage()
        sys.exit(1)

    if (not options or
        '-h' in dict(options) or
        '--help' in dict(options) or
        not '--domain' in dict(options) or
        not dict(options)['--domain'].strip()):
        usage()
        sys.exit(1)

    # specify the domain
    query = session.query(Domain)
    domain = query.get_by(name = dict(options)['--domain'].strip())
    if not domain:
        print "Invalid Domain"
        print "valid domains are:\n%s" % ("\n".join(query.get()))
        sys.exit(1)

    print domain.popaccounts
