# -*- coding: utf-8 -*-
#
# Copyright (C) 2007, 2008 by Jan Dittberner.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
#
# Version: $Id$
from sqlalchemy import *
from entities import *

db = create_engine('postgres://jan:heyyou97@localhost:5432/testdb')

metadata = BoundMetaData(db)

domains_table = Table('domains', metadata, autoload = True)
sysuser_table = Table('sysuser', metadata, autoload = True)
mailpassword_table = Table('mailpassword', metadata, autoload = True)
client_table = Table('client', metadata, autoload = True)

popaccountmapper = mapper(PopAccount, mailpassword_table)

domainmapper = mapper(Domain, domains_table)
domainmapper.add_property('popaccounts', relation(PopAccount))

sysusermapper = mapper(SysUser, sysuser_table)

clientmapper = mapper(Client, client_table)
clientmapper.add_property('sysusers', relation(SysUser))

session = create_session()
